## systemd 254.5

=== debian/changelog ===
systemd (254.5-1~bpo12+2) bookworm-backports; urgency=medium

  * Move systemd-hwdb-update.service to udev package. Commit a12cf5d187cb
    in 249-1 removed systemd-hwdb-update.service from udev, and 254.4-1
    re-added it in systemd, so move it back to udev. (Closes: #1055863)

 -- Luca Boccassi <bluca@debian.org>  Mon, 13 Nov 2023 14:52:03 +0000

systemd (254.5-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Luca Boccassi <bluca@debian.org>  Thu, 09 Nov 2023 11:46:58 +0000

systemd (254.5-1) unstable; urgency=medium

  * New upstream version 254.5
  * Refresh patches for 254.5

 -- Luca Boccassi <bluca@debian.org>  Sat, 30 Sep 2023 11:34:39 +0100

systemd (254.4-1) unstable; urgency=medium

  [ Michael Biebl ]
  * Fix installation of tzdata-legacy. Apply a version constraint to the
    tzdata alternative. Specifically (<< 2023c-8), which is the version
    tzdata was split. Otherwise tzdata-legacy is not considered, as tzdata
    is installed by default. (Closes: #1051760)
  * Drop obsolete Breaks/Replaces and migration code for versions older
    than oldstable
  * Drop -f from update-rc.d udev remove

  [ Luca Boccassi ]
  * upstream-ci: run unit tests from installed location. (Closes: #1051756)
  * New upstream version 254.4. Fixes minor security issue in arm64
    and riscv64 systemd-boot (EFI) with device tree blobs loading:
    https://github.com/systemd/systemd/security/advisories/GHSA-6m6p-rjcq-334c
  * Refresh patches
  * Install factory-reset related units

  [ Gioele Barabucci ]
  * debian/udev.debian-udev.sysusers: Add Debian-specific sysusers for
    udev
  * d/udev.postinst: Do not use addgroup to add udev-related groups
  * d/control: Remove adduser, it is no longer needed now that all
    udev-related groups are generated via `sd-sysusers`.

 -- Luca Boccassi <bluca@debian.org>  Thu, 21 Sep 2023 11:13:06 +0100

systemd (254.3-1) unstable; urgency=medium

  [ Daniel Andersson ]
  * Add systemd-sysupdate.

  [ Luca Boccassi ]
  * New upstream version 254.2
  * Refresh patches for 254.2
  * New upstream version 254.3

  [ Michael Biebl ]
  * Remove obsolete SysV init script. Keep the udev alias for one more
    release cycle.
  * Use dh_installsystemd to handle systemd-udevd.service. This allows us
    to drop a lot of custom maintscript code. Fix the formatting of the
    udev maintscript code while at it.
  * Add Conflicts against initscripts and orphan-sysvinit-scripts. Those
    packages have undesirable side effects if systemd is the active init
    system so ensure they can't be installed.

 -- Luca Boccassi <bluca@debian.org>  Mon, 11 Sep 2023 09:11:51 +0100

systemd (254.1-3) unstable; urgency=medium

  [ Nick Rosbrook ]
  * debian: ship libsystemd.a in libsystemd-dev.
    Thanks to Serge Hallyn
  * autopkgtest: add build test for static libsystemd
  * debian/rules: build with -ffat-lto-objects.
    Building with -flto=auto, but without -ffat-lto-objects, causes static
    archives to end up without any code sections. This is needed to ship a
    usable libsystemd.a in libsystemd-dev.
    See https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=977596.

  [ Luca Boccassi ]
  * Backport patch to fix test-path failure on Salsa CI

  [ Michael Biebl ]
  * Ask before attaching the udev db information to the bug report
    (Closes: #1041652)
  * Install D-Bus interface files in systemd-dev.
    Now that we have a dedicated -dev package, use that to install
    /usr/share/dbus-1/interfaces.
  * Clean up a couple more __pycache__ directories
  * Remove workarounds for dh_installman.
    No longer needed as stable ships a fixed debhelper.
  * Remove all empty directories from (/usr)/lib.
    This mitigates the accidental empty directory removal by dpkg on
    merged-/usr systems. (Closes: #1036920)
  * Remove no longer needed maintainer scripts migration code for versions
    older then oldstable
  * Revert "Add workaround for Meson regression to fix FTBFS on mips64el"
    This reverts commit 97ebdcea6d0ce52973dd5a9cfeede1573a628bd0.
    No longer needed as a fixed meson package is available now.

 -- Michael Biebl <biebl@debian.org>  Fri, 25 Aug 2023 12:04:10 +0200

systemd (254.1-2) unstable; urgency=medium

  * Build-depend on tzdata-legacy | tzdata. Some timezones were split out,
    but some unit tests need them, so pull in the new tzdata-legacy
    package if it exists.

 -- Luca Boccassi <bluca@debian.org>  Thu, 10 Aug 2023 23:31:48 +0100

systemd (254.1-1) unstable; urgency=medium

  [ Luca Boccassi ]
  * systemd-userdbd: depend on libnss-systemd. This library provides nss
    integration for userdbd/homed and is needed for homed logins
  * New upstream version 254.1
  * Refresh patches for v254.1
  * systemd: do not ship empty .wants/ directories. These will conflict
    with finalizing usrmerge as they are in /lib, so remove them for now.
    systemctl enable creates them anyway when needed.

  [ Helmut Grohne ]
  * duplicate udev trigger interest for /usr-merge. As packages move their
    files from / to /usr, dpkg will cease activating udev's trigger
    interest for hwdb.d files. In DEP17, this is documented as P2. Since
    there are only two packages in Debian affected by this issue, we opt
    for an individual mitigation and explicitly duplicate the trigger
    interest to both locations (M12). This is safe regardless of the other
    chosen mitigations as trigger activations are accumulated.

 -- Luca Boccassi <bluca@debian.org>  Thu, 10 Aug 2023 21:41:13 +0100

systemd (254-1) unstable; urgency=medium

  * New upstream version 254
  * Drop patches merged upstream
  * d/watch: switch back to stable repository
  * Refresh patches

 -- Luca Boccassi <bluca@debian.org>  Fri, 28 Jul 2023 10:01:15 +0100

systemd (254~rc3-3) unstable; urgency=low

  * Backport patch to fix FTBFS on armhf
  * Add workaround for Meson regression to fix FTBFS on mips64el

 -- Luca Boccassi <bluca@debian.org>  Mon, 24 Jul 2023 20:50:48 +0100



=== debian/control ===
Source: systemd
Section: admin
Priority: optional
Maintainer: Debian systemd Maintainers <pkg-systemd-maintainers@lists.alioth.debian.org>
Uploaders: Michael Biebl <biebl@debian.org>,
           Marco d'Itri <md@linux.it>,
           Sjoerd Simons <sjoerd@debian.org>,
           Martin Pitt <mpitt@debian.org>,
           Felipe Sateler <fsateler@debian.org>,
           Luca Boccassi <bluca@debian.org>,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/systemd-team/systemd.git
Vcs-Browser: https://salsa.debian.org/systemd-team/systemd
Homepage: https://www.freedesktop.org/wiki/Software/systemd
Build-Depends: debhelper-compat (= 13),
               dh-exec,
               dh-package-notes,
               dh-sequence-installnss,
               dh-sequence-installsysusers,
               pkg-config,
               xsltproc <!nodoc>,
               docbook-xsl <!nodoc>,
               docbook-xml <!nodoc>,
               meson (>= 0.60.0),
               gettext,
               gperf,
               libcap-dev,
               libcrypt-dev,
               libpam0g-dev,
               libapparmor-dev (>= 2.13) <!stage1>,
               libidn2-dev <!stage1>,
               libiptc-dev <!stage1>,
               libaudit-dev <!stage1>,
               libdbus-1-dev (>= 1.3.2) <!nocheck> <!noinsttest>,
               libcryptsetup-dev (>= 2:2.4) <!stage1>,
               libselinux1-dev (>= 2.1.9),
               libacl1-dev,
               liblzma-dev,
               liblz4-dev (>= 1.3.0),
               liblz4-tool <!nocheck>,
               libbz2-dev <!stage1>,
               zlib1g-dev <!stage1> | libz-dev <!stage1>,
               libcurl4-openssl-dev <!stage1>,
               libmicrohttpd-dev <!stage1>,
               libpcre2-dev <!stage1>,
               libgcrypt20-dev,
               libkmod-dev (>= 15),
               libblkid-dev (>= 2.24),
               libmount-dev (>= 2.30),
               libfdisk-dev (>= 2.33),
               libseccomp-dev (>= 2.3.1) [amd64 arm64 armel armhf i386 mips mipsel mips64 mips64el x32 powerpc ppc64 ppc64el riscv64 s390x],
               libdw-dev (>= 0.158) <!stage1>,
               libpolkit-gobject-1-dev <!stage1>,
               libzstd-dev (>= 1.4.0),
               libtss2-dev <!stage1>,
               libfido2-dev <!stage1>,
               libp11-kit-dev <!stage1>,
               libssl-dev <!stage1>,
               libqrencode-dev <!stage1>,
               libxen-dev [amd64 arm64 armhf] <!stage1>,
               linux-base <!nocheck>,
               acl <!nocheck>,
               python3:native,
               python3-jinja2:native,
               python3-lxml:native,
               python3-pefile [amd64 i386 arm64 armhf riscv64] <!stage1 !nocheck>,
               python3-pyelftools [amd64 i386 arm64 armhf riscv64] <!stage1>,
               python3-pyparsing <!nocheck>,
               python3-evdev:native <!nocheck>,
               tzdata-legacy <!nocheck> | tzdata (<< 2023c-8) <!nocheck>,
               libcap2-bin <!nocheck>,
               iproute2 <!nocheck>,
               zstd <!nocheck>,
               gawk <!nocheck>,
               fdisk <!nocheck>,

Package: systemd
Architecture: linux-any
Multi-Arch: foreign
Priority: important
Recommends: default-dbus-system-bus | dbus-system-bus,
            systemd-timesyncd | time-daemon,
Suggests: systemd-container,
          systemd-homed,
          systemd-userdbd,
          systemd-boot,
          systemd-resolved,
          libfido2-1,
          libp11-kit0,
          libqrencode4,
          libtss2-esys-3.0.2-0,
          libtss2-mu0,
          libtss2-rc0,
          polkitd,
          python3:any,
          python3-pefile [amd64 i386 arm64 armhf riscv64],
Pre-Depends: ${shlibs:Pre-Depends},
             ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libsystemd0 (= ${binary:Version}),
         systemd-dev (>= ${source:Version}),
         mount,
Conflicts: consolekit,
           libpam-ck-connector,
           systemd-shim,
Breaks: less (<< 563),
        sicherboot (<< 0.1.6),
Provides: systemd-sysusers (= ${binary:Version}),
          systemd-tmpfiles (= ${binary:Version}),
Description: system and service manager
 systemd is a system and service manager for Linux. It provides aggressive
 parallelization capabilities, uses socket and D-Bus activation for starting
 services, offers on-demand starting of daemons, keeps track of processes using
 Linux control groups, maintains mount and automount points and implements an
 elaborate transactional dependency-based service control logic.
 .
 Installing the systemd package will not switch your init system unless you
 boot with init=/lib/systemd/systemd or install systemd-sysv in addition.

Package: systemd-sysv
Architecture: linux-any
Multi-Arch: foreign
Priority: important
Conflicts: sysvinit-core,
           file-rc,
           systemd-shim,
           initscripts,
           orphan-sysvinit-scripts,
Replaces: sysvinit-core,
Pre-Depends: systemd
Depends: ${misc:Depends},
Recommends: libpam-systemd,
            libnss-systemd
Description: system and service manager - SysV compatibility symlinks
 This package provides manual pages and compatibility symlinks needed for
 systemd to replace sysvinit.
 .
 Installing systemd-sysv will overwrite /sbin/init with a symlink to systemd.

Package: systemd-container
Build-Profiles: <!stage1>
Architecture: linux-any
Multi-Arch: foreign
Depends: ${shlibs:Depends},
         ${misc:Depends},
         systemd,
         default-dbus-system-bus | dbus-system-bus
Recommends: libnss-mymachines,
Description: systemd container/nspawn tools
 This package provides systemd's tools for nspawn and container/VM management:
  * systemd-nspawn
  * systemd-machined and machinectl
  * systemd-importd
  * systemd-portabled and portablectl

Package: systemd-journal-remote
Build-Profiles: <!stage1>
Architecture: linux-any
Multi-Arch: foreign
Depends: ${shlibs:Depends},
         ${misc:Depends},
         systemd,
Description: tools for sending and receiving remote journal logs
 This package provides tools for sending and receiving remote journal logs:
  * systemd-journal-remote
  * systemd-journal-upload
  * systemd-journal-gatewayd

Package: systemd-coredump
Build-Profiles: <!stage1>
Architecture: linux-any
Multi-Arch: foreign
Depends: ${shlibs:Depends},
         ${misc:Depends},
         systemd
Recommends: libdw1
Conflicts: core-dump-handler
Replaces: core-dump-handler
Provides: core-dump-handler
Description: tools for storing and retrieving coredumps
 This package provides systemd tools for storing and retrieving coredumps:
  * systemd-coredump
  * coredumpctl

Package: systemd-timesyncd
Architecture: linux-any
Multi-Arch: foreign
Priority: standard
Depends: ${shlibs:Depends},
         ${misc:Depends},
         systemd
Conflicts: time-daemon
Replaces: time-daemon
Provides: time-daemon
Description: minimalistic service to synchronize local time with NTP servers
 The package contains the systemd-timesyncd system service that may be used to
 synchronize the local system clock with a remote Network Time Protocol server.

Package: systemd-tests
Architecture: linux-any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         systemd (= ${binary:Version}),
         python3,
Build-Profiles: <!noinsttest>
Description: tests for systemd
 This package contains the test binaries. Those binaries are primarily used
 for autopkgtest and not meant to be installed on regular user systems.

Package: libpam-systemd
Architecture: linux-any
Multi-Arch: same
Priority: standard
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         systemd (= ${binary:Version}),
         libpam-runtime,
         default-dbus-system-bus | dbus-system-bus,
         systemd-sysv
Recommends: dbus-user-session,
Provides: logind (= ${binary:Version}), default-logind (= ${binary:Version})
Description: system and service manager - PAM module
 This package contains the PAM module which registers user sessions in
 the systemd control group hierarchy for logind.
 .
 If in doubt, do install this package.
 .
 Packages that depend on logind functionality need to depend on libpam-systemd.

Package: libnss-myhostname
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
Description: nss module providing fallback resolution for the current hostname
 This package contains a plugin for the Name Service Switch, providing host
 name resolution for the locally configured system hostname as returned by
 gethostname(2). It returns all locally configured public IP addresses or -- if
 none are configured, the IPv4 address 127.0.1.1 (which is on the local
 loopback) and the IPv6 address ::1 (which is the local host).
 .
 A lot of software relies on that the local host name is resolvable. This
 package provides an alternative to the fragile and error-prone manual editing
 of /etc/hosts.
 .
 Installing this package automatically adds myhostname to /etc/nsswitch.conf.

Package: libnss-mymachines
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         systemd-container (= ${binary:Version}),
Description: nss module to resolve hostnames for local container instances
 nss-mymachines is a plugin for the GNU Name Service Switch (NSS) functionality
 of the GNU C Library (glibc) providing hostname resolution for local containers
 that are registered with systemd-machined.service(8). The container names are
 resolved to IP addresses of the specific container, ordered by their scope.
 .
 Installing this package automatically adds mymachines to /etc/nsswitch.conf.

Package: libnss-resolve
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         systemd-resolved (= ${binary:Version}),
Description: nss module to resolve names via systemd-resolved
 nss-resolve is a plugin for the GNU Name Service Switch (NSS) functionality
 of the GNU C Library (glibc) providing DNS and LLMNR resolution to programs via
 the systemd-resolved daemon (provided in the systemd-resolved package).
 .
 Installing this package automatically adds resolve to /etc/nsswitch.conf.

Package: libnss-systemd
Architecture: linux-any
Multi-Arch: same
Priority: standard
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         systemd (= ${binary:Version}),
Description: nss module providing dynamic user and group name resolution
 nss-systemd is a plug-in module for the GNU Name Service Switch (NSS)
 functionality of the GNU C Library (glibc), providing UNIX user and group name
 resolution for dynamic users and groups allocated through the DynamicUser=
 option in systemd unit files. See systemd.exec(5) for details on this
 option.
 .
 Installing this package automatically adds the module to /etc/nsswitch.conf.

Package: libsystemd0
Architecture: linux-any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: systemd utility library
 This library provides APIs to interface with various system components such as
 the system journal, the system service manager, D-Bus and more.

Package: libsystemd-dev
Architecture: linux-any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends},
         libsystemd0 (= ${binary:Version})
Description: systemd utility library - development files
 This library provides APIs to interface with various system components such as
 the system journal, the system service manager, D-Bus and more.
 .
 This package contains the files needed for developing applications that
 use libsystemd.

Package: libsystemd-shared
Architecture: linux-any
Multi-Arch: same
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}

=== debian/tests/control ===
Tests: timedated, hostnamed, localed-locale, localed-x11-keymap, logind
Depends: systemd,
  systemd-timesyncd,
  libpam-systemd,
  libnss-systemd,
  acl,
  locales,
  evemu-tools,
Restrictions: needs-root, isolation-container, skippable

Tests: unit-config
Depends: systemd,
  libpam-systemd,
  libnss-systemd,
  acl,
  locales,
  evemu-tools,
  python3,
  pkg-config,
Restrictions: needs-root, allow-stderr

Tests: storage
Depends: systemd,
  libpam-systemd,
  libnss-systemd,
  acl,
  locales,
  evemu-tools,
  python3,
  pkg-config,
  cryptsetup-bin,
Restrictions: needs-root, isolation-machine

Tests: networkd-test.py
Tests-Directory: test
Depends: systemd,
  systemd-resolved,
  libpam-systemd,
  libnss-systemd,
  acl,
  locales,
  evemu-tools,
  python3,
  pkg-config,
  cryptsetup-bin,
  systemd-sysv,
  polkitd,
  netlabel-tools,
  dnsmasq-base
Restrictions: needs-root, isolation-container, breaks-testbed

Tests: build-login
Depends: systemd,
  libpam-systemd,
  libnss-systemd,
  acl,
  locales,
  evemu-tools,
  python3,
  pkg-config,
  cryptsetup-bin,
  systemd-sysv,
  polkitd,
  dnsmasq-base,
  build-essential,
  libsystemd-dev,
Restrictions: isolation-container

Tests: boot-and-services
Depends: systemd-sysv,
  systemd-container,
  systemd-coredump,
  libpam-systemd,
  libdw-dev,
  libelf-dev,
  xserver-xorg-video-dummy,
  xserver-xorg,
  gdm3 [!s390x],
  cron,
  network-manager,
  busybox-static,
  rsyslog,
  apparmor,
  pkg-config,
  python3
Restrictions: needs-root, isolation-container, breaks-testbed, allow-stderr

Tests: unit-tests
Depends: systemd-tests,
  libpam-systemd,
  libnss-myhostname,
  libnss-mymachines,
  libnss-resolve,
  libnss-systemd,
  udev,
  tree,
  perl,
  python3,
  python3-colorama,
  xz-utils,
  libcap2-bin,
  iproute2,
  liblz4-tool,
  acl,
  iputils-ping,
  dbus-user-session,
  zstd,
  libtss2-dev,
  libfido2-dev,
  libdw-dev,
  libqrencode-dev,
  tzdata-legacy | tzdata (<< 2023c-8),
Restrictions: needs-root, isolation-container, breaks-testbed

Tests: upstream
Depends: systemd-tests,
  systemd-journal-remote,
  systemd-container,
  systemd-coredump,
  systemd-timesyncd,
  systemd-oomd,
  systemd-homed,
  systemd-resolved,
  libnss-myhostname,
  libnss-mymachines,
  libnss-resolve,
  libnss-systemd,
  attr,
  tree,
  perl,
  xz-utils,
  libcap2-bin,
  iproute2,
  liblz4-tool,
  acl,
  dmeventd,
  kbd,
  cryptsetup-bin,
  cryptsetup-initramfs,
  net-tools,
  isc-dhcp-client,
  iputils-ping,
  strace,
  qemu-system-x86 [amd64 i386],
  qemu-system-arm [arm64 armhf],
  qemu-system-ppc [ppc64el],
  qemu-system-s390x [s390x],
  seabios,
  less,
  pkg-config,
  gcc,
  libc6-dev | libc-dev,
  make,
  quota,
  fdisk,
  netcat-openbsd,
  socat,
  busybox-static,
  plymouth,
  e2fsprogs,
  zstd,
  squashfs-tools,
  vim-tiny,
  dosfstools,
  mtools,
  erofs-utils,
  libdw-dev,
  libelf-dev,
  dbus-user-session,
  libtss2-dev,
  libfido2-dev,
  libqrencode-dev,
  libp11-kit-dev,
  libssl-dev,
  python3-pexpect,
  screen,

## systemd 254.14

=== debian/changelog ===
systemd (254.14-1~bpo12+1) bookworm-backports; urgency=medium

  * d/watch: restrict to v254 series
  * New upstream stable point release 254.14
  * Drop patch merged upstream
  * Update max version of tzdata
  * Drop out-of-tree fsckd daemon patch
  * Drop override for deprecated package-supports-alternative-init-but-no-init.d-script warning
  * d/t/boot-and-services: drop tmp check

 -- Luca Boccassi <bluca@debian.org>  Sat, 29 Jun 2024 13:46:26 +0100

systemd (254.5-1~bpo12+3) bookworm-backports; urgency=medium

  * Backport patch to fix CVE-2023-7008 (Closes: #1059278)

 -- Luca Boccassi <bluca@debian.org>  Sun, 24 Dec 2023 16:37:14 +0100

## systemd 254.15

=== debian/changelog ===
systemd (254.15-1~bpo12+1) bookworm-backports; urgency=medium

  * New upstream stable version 254.15

 -- Luca Boccassi <bluca@debian.org>  Mon, 08 Jul 2024 10:19:49 +0100

=== debian/control ===
--- 
+++ 
@@ -68,7 +68,7 @@
                python3-pyelftools [amd64 i386 arm64 armhf riscv64] <!stage1>,
                python3-pyparsing <!nocheck>,
                python3-evdev:native <!nocheck>,
-               tzdata-legacy <!nocheck> | tzdata (<< 2023c-8) <!nocheck>,
+               tzdata-legacy <!nocheck> | tzdata (<< 2024a-4) <!nocheck>,
                libcap2-bin <!nocheck>,
                iproute2 <!nocheck>,
                zstd <!nocheck>,

=== debian/tests/control ===
--- 
+++ 
@@ -109,7 +109,7 @@
   libfido2-dev,
   libdw-dev,
   libqrencode-dev,
-  tzdata-legacy | tzdata (<< 2023c-8),
+  tzdata-legacy | tzdata (<< 2024a-4),
 Restrictions: needs-root, isolation-container, breaks-testbed
 
 Tests: upstream

## systemd 254.16

=== debian/changelog ===
systemd (254.16-1~bpo12+1) bookworm-backports; urgency=medium

  * New upstream stable version 254.16

 -- Luca Boccassi <bluca@debian.org>  Wed, 31 Jul 2024 13:24:28 +0100

## systemd 254.22

=== debian/changelog ===
systemd (254.22-1~bpo12+1) bookworm-backports; urgency=medium

  * New upstream version 254.22
  * Refresh patches to remove fuzz
  * Rename kernel-install initrd script (Closes: #1090716)
  * Bump version in tzdata dependency due to p-u upload

 -- Luca Boccassi <bluca@debian.org>  Sun, 22 Dec 2024 15:37:33 +0000

=== debian/control ===
--- 
+++ 
@@ -68,7 +68,7 @@
                python3-pyelftools [amd64 i386 arm64 armhf riscv64] <!stage1>,
                python3-pyparsing <!nocheck>,
                python3-evdev:native <!nocheck>,
-               tzdata-legacy <!nocheck> | tzdata (<< 2024a-4) <!nocheck>,
+               tzdata-legacy <!nocheck> | tzdata (<< 2024b-3) <!nocheck>,
                libcap2-bin <!nocheck>,
                iproute2 <!nocheck>,
                zstd <!nocheck>,

=== debian/tests/control ===
--- 
+++ 
@@ -109,7 +109,7 @@
   libfido2-dev,
   libdw-dev,
   libqrencode-dev,
-  tzdata-legacy | tzdata (<< 2024a-4),
+  tzdata-legacy | tzdata (<< 2024b-3),
 Restrictions: needs-root, isolation-container, breaks-testbed
 
 Tests: upstream

## systemd 254.26

=== meson_options.txt ===
# -*- mode: meson -*-
# SPDX-License-Identifier: LGPL-2.1-or-later

option('version-tag', type : 'string',
       description : 'override the git version string')
option('shared-lib-tag', type : 'string',
       description : 'override the private shared library version tag (defaults to project version)')

option('mode', type : 'combo', choices : ['developer', 'release'],
       description : 'autoenable features suitable for systemd development/release builds')

option('split-usr', type : 'combo', choices : ['auto', 'true', 'false'],
       description : '''/bin, /sbin aren't symlinks into /usr''')
option('split-bin', type : 'combo', choices : ['auto', 'true', 'false'],
       description : '''sbin is not a symlink to bin''')
option('rootlibdir', type : 'string',
       description : '''[/usr]/lib/x86_64-linux-gnu or such''')
option('rootprefix', type : 'string',
       description : '''override the root prefix [default '/' if split-usr and '/usr' otherwise]''')
option('link-udev-shared', type : 'boolean',
       description : 'link systemd-udevd and its helpers to libsystemd-shared.so')
option('link-systemctl-shared', type: 'boolean',
       description : 'link systemctl against libsystemd-shared.so')
option('link-networkd-shared', type: 'boolean',
       description : 'link systemd-networkd and its helpers to libsystemd-shared.so')
option('link-timesyncd-shared', type: 'boolean',
       description : 'link systemd-timesyncd and its helpers to libsystemd-shared.so')
option('link-journalctl-shared', type: 'boolean',
       description : 'link journalctl against libsystemd-shared.so')
option('link-boot-shared', type: 'boolean',
       description : 'link bootctl and systemd-bless-boot against libsystemd-shared.so')
option('link-portabled-shared', type: 'boolean',
       description : 'link systemd-portabled and its helpers to libsystemd-shared.so')
option('first-boot-full-preset', type: 'boolean', value: false,
       description : 'during first boot, do full preset-all (default will be changed to true later)')

option('static-libsystemd', type : 'combo',
       choices : ['false', 'true', 'pic', 'no-pic'],
       description : '''install a static library for libsystemd''')
option('static-libudev', type : 'combo',
       choices : ['false', 'true', 'pic', 'no-pic'],
       description : 'install a static library for libudev')
option('standalone-binaries', type : 'boolean', value : false,
       description : 'also build standalone versions of supported binaries')

option('sysvinit-path', type : 'string', value : '/etc/init.d',
       description : 'the directory where the SysV init scripts are located')
option('sysvrcnd-path', type : 'string', value : '/etc/rc.d',
       description : 'the base directory for SysV rcN.d directories')
option('telinit-path', type : 'string', value : '/lib/sysvinit/telinit',
       description : 'path to telinit')
option('rc-local', type : 'string',
       value : '/etc/rc.local')
option('initrd', type : 'boolean',
       description : 'install services for use when running systemd in initrd')
option('compat-mutable-uid-boundaries', type : 'boolean', value : false,
       description : 'look at uid boundaries in /etc/login.defs for compatibility')
option('nscd', type : 'boolean',
       description : 'build support for flushing of the nscd caches')

option('quotaon-path', type : 'string', description : 'path to quotaon')
option('quotacheck-path', type : 'string', description : 'path to quotacheck')
option('kmod-path', type : 'string', description : 'path to kmod')
option('kexec-path', type : 'string', description : 'path to kexec')
option('sulogin-path', type : 'string', description : 'path to sulogin')
option('mount-path', type : 'string', description : 'path to mount')
option('umount-path', type : 'string', description : 'path to umount')
option('loadkeys-path', type : 'string', description : 'path to loadkeys')
option('setfont-path', type : 'string', description : 'path to setfont')
option('nologin-path', type : 'string', description : 'path to nologin')

option('debug-shell', type : 'string', value : '/bin/sh',
       description : 'path to debug shell binary')
option('debug-tty', type : 'string', value : '/dev/tty9',
       description : 'specify the tty device for debug shell')
option('debug-extra', type : 'array', choices : ['hashmap', 'mmap-cache', 'siphash'], value : [],
       description : 'enable extra debugging')
option('memory-accounting-default', type : 'boolean',
       description : 'enable MemoryAccounting= by default')
option('bump-proc-sys-fs-file-max', type : 'boolean',
       description : 'bump /proc/sys/fs/file-max to LONG_MAX')
option('bump-proc-sys-fs-nr-open', type : 'boolean',
       description : 'bump /proc/sys/fs/nr_open to INT_MAX')
option('log-trace', type : 'boolean', value : false,
       description : 'enable low level debug logging')
option('user-path', type : 'string',
       description : '$PATH to use for user sessions')

option('utmp', type : 'boolean',
       description : 'support for utmp/wtmp log handling')
option('hibernate', type : 'boolean',
       description : 'support for hibernation')
option('ldconfig', type : 'boolean',
       description : 'support for dynamic linker cache creation')
option('resolve', type : 'boolean',
       description : 'systemd-resolved stack')
option('efi', type : 'boolean',
       description : 'enable EFI support')
option('tpm', type : 'boolean',
       description : 'TPM should be used to log events and extend the registers')
option('environment-d', type : 'boolean',
       description : 'support for environment.d')
option('binfmt', type : 'boolean',
       description : 'support for custom binary formats')
option('repart', type : 'combo', choices : ['auto', 'true', 'false'],
       description : 'install the systemd-repart tool')
option('sysupdate', type : 'combo', choices : ['auto', 'true', 'false'],
       description : 'install the systemd-sysupdate tool')
option('coredump', type : 'boolean',
       description : 'install the coredump handler')
option('pstore', type : 'boolean',
       description : 'install the pstore archival tool')
option('oomd', type : 'boolean',
       description : 'install the userspace oom killer')
option('logind', type : 'boolean',
       description : 'install the systemd-logind stack')
option('hostnamed', type : 'boolean',
       description : 'install the systemd-hostnamed stack')
option('localed', type : 'boolean',
       description : 'install the systemd-localed stack')
option('machined', type : 'boolean',
       description : 'install the systemd-machined stack')
option('portabled', type : 'boolean',
       description : 'install the systemd-portabled stack')
option('sysext', type : 'boolean',
       description : 'install the systemd-sysext stack')
option('userdb', type : 'boolean',
       description : 'install the systemd-userdbd stack')
option('homed', type : 'combo', choices : ['auto', 'true', 'false'],
       description : 'install the systemd-homed stack')
option('networkd', type : 'boolean',
       description : 'install the systemd-networkd stack')
option('timedated', type : 'boolean',
       description : 'install the systemd-timedated daemon')
option('timesyncd', type : 'boolean',
       description : 'install the systemd-timesyncd daemon')
option('remote', type : 'combo', choices : ['auto', 'true', 'false'],
       description : 'support for "journal over the network"')
option('create-log-dirs', type : 'boolean',
       description : 'create /var/log/journal{,/remote}')
option('nss-myhostname', type : 'boolean',
       description : 'install nss-myhostname module')
option('nss-mymachines', type : 'combo', choices : ['auto', 'true', 'false'],
       description : 'install nss-mymachines module')
option('nss-resolve', type : 'combo', choices : ['auto', 'true', 'false'],
       description : 'install nss-resolve module')
option('nss-systemd', type : 'boolean',
       description : 'install nss-systemd module')
option('firstboot', type : 'boolean',
       description : 'support for firstboot mechanism')
option('randomseed', type : 'boolean',
       description : 'support for restoring random seed')
option('backlight', type : 'boolean',
       description : 'support for restoring backlight state')
option('vconsole', type : 'boolean',
       description : 'support for vconsole configuration')
option('quotacheck', type : 'boolean',
       description : 'support for the quotacheck tools')
option('sysusers', type : 'boolean',
       description : 'support for the sysusers configuration')
option('tmpfiles', type : 'boolean',
       description : 'support for tmpfiles.d')
option('importd', type : 'combo', choices : ['auto', 'true', 'false'],
       description : 'install the systemd-importd daemon')
option('hwdb', type : 'boolean',
       description : 'support for the hardware database')
option('rfkill', type : 'boolean',
       description : 'support for the rfkill tools')
option('xdg-autostart', type : 'boolean',
       description : 'install the xdg-autostart-generator and unit')
option('man', type : 'combo', choices : ['auto', 'true', 'false'],
       value : 'false',
       description : 'build and install man pages')
option('html', type : 'combo', choices : ['auto', 'true', 'false'],
       value : 'false',
       description : 'build and install html pages')
option('translations', type : 'boolean', value : true,
       description : 'build and install translations')

option('certificate-root', type : 'string', value : '/etc/ssl',
       description : 'the prefix for TLS certificates')
option('dbuspolicydir', type : 'string',
       description : 'D-Bus policy directory')
option('dbussessionservicedir', type : 'string',
       description : 'D-Bus session service directory')
option('dbussystemservicedir', type : 'string',
       description : 'D-Bus system service directory')
option('dbus-interfaces-dir', type : 'string',
       description : 'export D-Bus introspection XML as standalone files')
option('default-timeout-sec', type : 'integer', value : 90,
       description : 'default timeout for system unit start/stop')
option('default-user-timeout-sec', type : 'integer', value : 90,
       description : 'default timeout for user unit start/stop')
option('pkgconfigdatadir', type : 'string', value : '',
       description : 'directory for arch-independent pkg-config files')
option('pkgconfiglibdir', type : 'string', value : '',
       description : 'directory for standard pkg-config files')
option('xinitrcdir', type : 'string', value : '',
       description : 'directory for xinitrc files')
option('rpmmacrosdir', type : 'string', value : 'lib/rpm/macros.d',
       description : 'directory for rpm macros ["no" disables]')
option('update-helper-user-timeout-sec', type : 'integer', value : 15,
       description : 'timeout for user manager package operations')
option('pamlibdir', type : 'string',
       description : 'directory for PAM modules')
option('pamconfdir', type : 'string',
       description : 'directory for PAM configuration ["no" disables]')
option('libcryptsetup-plugins-dir', type : 'string',
       description : 'directory for libcryptsetup plugins')
option('docdir', type : 'string',
       description : 'documentation directory')
option('install-sysconfdir', type : 'combo', choices : ['true', 'no-samples', 'false'], value : 'true',
       description : 'install configuration files and directories to $sysconfdir')

option('fallback-hostname', type : 'string', value : 'localhost',
       description : 'the hostname used if none configured')
option('default-hierarchy', type : 'combo',
       choices : ['legacy', 'hybrid', 'unified'], value : 'unified',
       description : 'default cgroup hierarchy')
option('extra-net-naming-schemes', type : 'string',
       description : 'comma-separated list of extra net.naming-scheme= definitions')
option('default-net-naming-scheme', type : 'string', value : 'latest',

=== debian/changelog ===
systemd (254.26-1~bpo12+1) bookworm-backports; urgency=medium

  * New upstream version 254.26 (fixes CVE-2025-4598)
  * Refresh patch to remove fuzz from 252.37
  * Fix tzdata test dependencies

 -- Luca Boccassi <bluca@debian.org>  Fri, 30 May 2025 15:35:30 +0100

=== debian/control ===
--- 
+++ 
@@ -68,7 +68,7 @@
                python3-pyelftools [amd64 i386 arm64 armhf riscv64] <!stage1>,
                python3-pyparsing <!nocheck>,
                python3-evdev:native <!nocheck>,
-               tzdata-legacy <!nocheck> | tzdata (<< 2024b-3) <!nocheck>,
+               tzdata <!nocheck>,
                libcap2-bin <!nocheck>,
                iproute2 <!nocheck>,
                zstd <!nocheck>,
@@ -325,3 +325,4 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
          ${misc:Depends}
+Description: systemd shared private library

=== debian/rules ===
#! /usr/bin/make -f

#export DH_VERBOSE = 1
#export DEB_BUILD_OPTIONS = nostrip

export LC_ALL = C.UTF-8
export DEB_CFLAGS_MAINT_APPEND = -ffat-lto-objects

include /usr/share/dpkg/default.mk
include /usr/share/debhelper/dh_package_notes/package-notes.mk

ifeq ($(DEB_VENDOR),Ubuntu)
    DEFAULT_NTP_SERVERS = ntp.ubuntu.com
    SUPPORT_URL = http://www.ubuntu.com/support
    CONFFLAGS_DISTRO =
else
    DEFAULT_NTP_SERVERS = 0.debian.pool.ntp.org 1.debian.pool.ntp.org 2.debian.pool.ntp.org 3.debian.pool.ntp.org
    SUPPORT_URL = https://www.debian.org/support
    CONFFLAGS_DISTRO =
endif

TEST_TIMEOUT_MULTIPLIER = "-t 10"

# fail on missing files and symbols changes on distro builds, but not if we
# build/test upstream master
ifeq ($(TEST_UPSTREAM),)
    DH_MISSING = --fail-missing
    GENSYMBOLS_LEVEL = 4
else
    DH_MISSING = --list-missing
    GENSYMBOLS_LEVEL = 1
endif

CONFFLAGS = \
	-Db_lto=true \
	-Db_pie=true \
	-Dstatic-libsystemd=true \
	-Dmode=release \
	-Drootlibdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
	-Dsplit-usr=true \
	-Dversion-tag="$(DEB_VERSION)" \
	-Dquotaon-path=/sbin/quotaon \
	-Dquotacheck-path=/sbin/quotacheck \
	-Dkmod-path=/bin/kmod \
	-Dkexec-path=/sbin/kexec \
	-Dsulogin-path=/sbin/sulogin \
	-Dmount-path=/bin/mount \
	-Dumount-path=/bin/umount \
	-Dloadkeys-path=/bin/loadkeys \
	-Dsetfont-path=/bin/setfont \
	-Dnologin-path=/usr/sbin/nologin \
	-Dtelinit-path=/lib/sysvinit/telinit \
	-Dsysvinit-path=/etc/init.d \
	-Dsysvrcnd-path=/etc \
	-Dlocalegen-path=/usr/sbin/locale-gen \
	-Ddebug-shell=/bin/bash \
	-Dzshcompletiondir=/usr/share/zsh/vendor-completions \
	-Ddbuspolicydir=/usr/share/dbus-1/system.d/ \
	-Dsupport-url=$(SUPPORT_URL) \
	-Ddefault-kill-user-processes=false \
	-Ddefault-hierarchy=unified \
	-Ddefault-dnssec=no \
	-Dpamconfdir=no \
	-Dpamlibdir=/lib/$(DEB_HOST_MULTIARCH)/security \
	-Drpmmacrosdir=no \
	-Dvconsole=false \
	-Dfirstboot=true \
	-Dxkbcommon=false \
	-Dwheel-group=false \
	-Dpwquality=false \
	-Doomd=true \
	-Durlify=true \
	-Dgnutls=false \
	-Dlink-udev-shared=false \
	-Dlink-systemctl-shared=false \
	-Dbump-proc-sys-fs-nr-open=false \
	-Dntp-servers="$(DEFAULT_NTP_SERVERS)" \
	-Ddns-servers='' \
	-Dsystem-uid-max=999 \
	-Dsystem-gid-max=999 \
	-Dnobody-user=nobody \
	-Dnobody-group=nogroup \
	-Ddev-kvm-mode=0660 \
	-Dgroup-render-mode=0660 \
	-Drepart=true \
	-Dfdisk=true \
	-Dsysext=true \
	-Dnscd=true \
	-Dselinux=true \
	-Dhwdb=true \
	-Dsysusers=true \
	-Dinstall-tests=$(if $(filter noinsttest,$(DEB_BUILD_PROFILES)),false,true) \
	-Dman=$(if $(filter nodoc,$(DEB_BUILD_PROFILES)),false,true) \
	-Dtranslations=true \
	-Dnss-myhostname=true \
	-Dnss-mymachines=true \
	-Dnss-resolve=true \
	-Dnss-systemd=true \
	-Dresolve=true \
	-Dstatus-unit-format-default=combined \
	-Dbootloader=$(if $(filter x32,$(DEB_HOST_ARCH)),false,auto) \
	-Dstandalone-binaries=true

ifeq (, $(filter stage1, $(DEB_BUILD_PROFILES)))
CONFFLAGS += \
	-Daudit=true \
	-Dlibcryptsetup=true \
	-Dlibcryptsetup-plugins=true \
	-Dcoredump=true \
	-Delfutils=true \
	-Dapparmor=true \
	-Dlibidn2=true \
	-Dlibiptc=true \
	-Dlibcurl=true \
	-Dimportd=true \
	-Dmicrohttpd=true \
	-Dopenssl=true \
	-Dcryptolib=openssl \
	-Ddns-over-tls=openssl \
	-Dlibfido2=true \
	-Dtpm2=true \
	-Dp11kit=true \
	-Dqrencode=true \
	-Dhomed=true \
	-Duserdb=true \
	-Dpcre2=true \
	-Dsysupdate=true
else
CONFFLAGS += \
	-Daudit=false \
	-Dlibcryptsetup=false \
	-Dlibcryptsetup-plugins=false \
	-Dcoredump=false \
	-Delfutils=false \
	-Dapparmor=false \
	-Dlibidn2=false \
	-Dlibiptc=false \
	-Dlibcurl=false \
	-Dimportd=false \
	-Dmicrohttpd=false \
	-Dopenssl=false \
	-Dlibfido2=false \
	-Dtpm2=false \
	-Dp11kit=false \
	-Dqrencode=false \
	-Dhomed=false \
	-Duserdb=false \
	-Dpcre2=false
endif

override_dh_auto_configure:
	dh_auto_configure \
		-- $(CONFFLAGS) $(CONFFLAGS_DISTRO) $(CONFFLAGS_UPSTREAM)

execute_before_dh_auto_build:
	# blhc false positives: C++ fuzz test program, cc -E flags listing, PE-COFF EFI binaries
	@echo 'blhc: ignore-line-regexp: .* -o test-bus-vtable-cc.*'
	@echo 'blhc: ignore-line-regexp: .*cc -E.*'
	@echo 'blhc: ignore-line-regexp: .* -o src/boot/efi.*'

execute_after_dh_auto_build:
	# generate POT file for translators
	ninja -C obj-$(DEB_HOST_GNU_TYPE) systemd-pot

execute_after_dh_auto_install:
	# fix paths in manpages; manually check the remaining /usr occurrences
	# occasionally, with filtering out paths which are known to be in /usr:
	# grep -r /usr debian/tmp/usr/share/man/|egrep -v '/usr/local|os.*release|factory|zoneinfo|tmpfiles|kernel|foo|machines|sysctl|dbus|include|binfmt'
	if test -d debian/tmp/usr/share/man; then \
		find debian/tmp/usr/share/man/ -type f | xargs sed -ri 's_/usr(/lib/systemd/system|/lib/systemd/network|/lib/udev|/lib[^/]|/lib/[^a-z])_\1_g'; \
	fi

execute_before_dh_auto_clean:
ifneq (, $(TEST_UPSTREAM))
	debian/extra/checkout-upstream
endif

execute_after_dh_auto_clean:
	rm -f debian/shlibs.local
	# remove Python byte code files
	rm -rf src/ukify/test/__pycache__/
	rm -rf src/ukify/__pycache__/
	rm -rf tools/__pycache__/
	rm -rf tools/chromiumos/__pycache__/
	rm -f po/systemd.pot

execute_before_dh_install:
	# remove unnecessary / unused files
	rm -rf debian/tmp/usr/share/doc/systemd/LICENSES/
	rm -f debian/tmp/usr/share/doc/systemd/LICENSE.*
	rm -f debian/tmp/etc/init.d/README
	rm -f debian/tmp/lib/*.d/README
	rm -f debian/tmp/lib/udev/*.d/README
	rm -f debian/tmp/usr/lib/*.d/README
	rm -f debian/tmp/usr/lib/sysctl.d/50-default.conf
	rm -f debian/tmp/etc/X11/xinit/xinitrc.d/50-systemd-user.sh
	rmdir -p --ignore-fail-on-non-empty debian/tmp/etc/X11/xinit/xinitrc.d/
	# remove etc.conf and usr/share/factory for now, we are not using them yet
	find debian/tmp/ -name etc.conf -print -delete
	rm -rf debian/tmp/usr/share/factory/
	# replace upstream sysusers.d/basic.conf with proper users for Debian
	debian/extra/make-sysusers-basic > debian/tmp/usr/lib/sysusers.d/basic.conf
	# remove obsolete compat symlink
	rm -f debian/tmp/usr/bin/systemd-resolve

execute_after_dh_install-arch:
	# install standalone binaries
	for pkg in sysusers tmpfiles; do \
		mkdir -p debian/systemd-standalone-$$pkg/bin; \
		mv debian/systemd/bin/systemd-$$pkg.standalone debian/systemd-standalone-$$pkg/bin/systemd-$$pkg; \
	done
	# We don't want repart and shutdown standalone binaries for now
	rm -f debian/systemd/bin/systemd-repart.standalone
	rm -f debian/systemd/lib/systemd/systemd-shutdown.standalone

	# we don't want /tmp to be a tmpfs by default
	mv debian/systemd/lib/systemd/system/tmp.mount debian/systemd/usr/share/systemd/
	printf '\n[Install]\nWantedBy=local-fs.target\n' >> debian/systemd/usr/share/systemd/tmp.mount
	rm debian/systemd/lib/systemd/system/local-fs.target.wants/tmp.mount

	# files shipped by cryptsetup
ifeq (, $(filter stage1, $(DEB_BUILD_PROFILES)))
	rm -f debian/tmp/usr/share/man/man5/crypttab.5
endif

	# files shipped by systemd
	rm debian/udev/lib/udev/rules.d/70-uaccess.rules
	rm debian/udev/lib/udev/rules.d/73-seat-late.rules
	rm debian/udev/lib/udev/rules.d/71-seat.rules
	rm debian/udev/lib/udev/rules.d/99-systemd.rules

	# Ubuntu specific files
ifeq ($(DEB_VENDOR),Ubuntu)
	install -D --mode=644 debian/extra/udev.py debian/udev/usr/share/apport/package-hooks/udev.py
	install -D --mode=644 debian/extra/systemd.py debian/systemd/usr/share/apport/package-hooks/systemd.py
	install --mode=644 debian/extra/rules-ubuntu/*.rules debian/udev/lib/udev/rules.d/
	cp -a debian/extra/units-ubuntu/* debian/systemd/lib/systemd/system/
endif

execute_after_dh_installman-arch:
	# remove duplicate files shipped by systemd-*/udev
	# run after dh_installman, which runs after dh_install, to include manpages
	echo "Removing duplicate files in systemd package:"
	set -e; for pkg in $(shell dh_listpackages -Nudev-udeb -Nlibudev1-udeb -Nsystemd -Nsystemd-standalone-sysusers -Nsystemd-standalone-tmpfiles); do \
		echo "... from $$pkg..."; \

=== debian/tests/control ===
--- 
+++ 
@@ -109,7 +109,7 @@
   libfido2-dev,
   libdw-dev,
   libqrencode-dev,
-  tzdata-legacy | tzdata (<< 2024b-3),
+  tzdata-legacy | tzdata,
 Restrictions: needs-root, isolation-container, breaks-testbed
 
 Tests: upstream
@@ -174,3 +174,4 @@
   libssl-dev,
   python3-pexpect,
   screen,
+  swtpm,
